<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingTop="@dimen/d20p">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scrollbars="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/et_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/orange"
                android:gravity="top"
                android:hint="@string/hint_or_automated_text_goes_here"
                android:inputType="textCapSentences"
                android:lines="2"
                android:minHeight="103dp"
                android:paddingLeft="13dp"
                android:paddingRight="13dp"
                android:paddingBottom="19dp"
                android:textColor="@android:color/white"
                android:textColorHint="@color/grey_hint_color" />

            <EditText
                android:id="@+id/editText2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/iv_card"
                android:layout_marginTop="10dp"
                android:background="@color/yellow"
                android:gravity="end"
                android:hint="Name"
                android:paddingLeft="10dp"
                android:paddingTop="8dp"
                android:paddingRight="10dp"
                android:paddingBottom="8dp"
                android:textAlignment="textEnd"
                android:textColor="@android:color/white"
                android:textColorHint="@color/white"
                android:textSize="21sp" />

            <ImageView
                android:id="@+id/iv_card"
                android:layout_width="match_parent"
                android:layout_height="@dimen/cardimageheight"
                android:layout_below="@+id/et_desc"
                android:layout_marginTop="10dp"
                android:scaleType="centerCrop"
                android:src="@drawable/ic_launcher_background" />

            <TextView
                android:id="@+id/tv_chooseimage"
                style="bold"
                android:layout_width="match_parent"
                android:layout_height="@dimen/cardimageheight"
                android:layout_below="@+id/et_desc"
                android:layout_marginBottom="200dp"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:text="@string/clickHereTochooseImgae"
                android:textColor="@color/white" />


            <LinearLayout
                android:id="@+id/bottomView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/editText2"
                android:layout_marginTop="10dp"
                android:background="@color/grey_dark_bottom"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/imageView"
                    android:layout_width="78dp"
                    android:layout_height="78dp"
                    android:layout_weight="0"
                    android:adjustViewBounds="true"
                    android:background="@color/orange"
                    android:padding="9dp" />

                <CheckBox
                    android:id="@+id/cb_alowDownload"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:paddingEnd="16dp"
                    android:text="@string/allow_others_to_save_this_card"
                    android:textColor="@color/grey_disabled_bottom_button_text_color"
                    android:textSize="15sp" />

                <Button
                    android:id="@+id/bt_createCard"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="19dp"
                    android:layout_weight="0"
                    android:background="@color/grey_disabled_bottom_button"
                    android:clickable="true"
                    android:focusable="true"
                    android:minHeight="36dp"
                    android:text="@string/confirm"
                    android:textColor="@color/grey_disabled_bottom_button_text_color" />
            </LinearLayout>
        </RelativeLayout>
    </ScrollView>
</LinearLayout>